# https://fedoraproject.org/wiki/Packaging:Haskell

Name:           Agda-stdlib
Version:        1.7.3
Release:        %autorelease
Summary:        Agda standard libraries

License:        MIT
URL:            http://wiki.portal.chalmers.se/agda/agda.php?n=Libraries.StandardLibrary
Source0:        https://github.com/agda/agda-stdlib/archive/v%{version}.tar.gz#/agda-stdlib-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-filemanip-devel
BuildRequires:  Agda
# .agdai files are arch independent
BuildArch:      noarch
Obsoletes:      ghc-agda-lib-ffi < 0.0.2-6, ghc-agda-lib-ffi-devel < 0.0.2-6
Provides:       agda-stdlib = %{version}-%{release}
Requires:       Agda = 2.6.4.1
# Agda can't build on armv7hl and ix86 currently
ExcludeArch:    armv7hl %{ix86}

%description
Agda standard libraries


%package docs
Summary:        Agda standard libraries documentation
BuildArch:      noarch

%description docs
This package provides the html documentation for the stdlibs
generated by the Agda compiler program.


%prep
%setup -q -n agda-stdlib-%{version}


%build
%ghc_bin_build
dist/build/GenerateEverything/GenerateEverything

%global agda agda --no-libraries -i. -isrc
%{agda} Everything.agda

%{agda} --html README.agda


%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr src _build %{buildroot}%{_datadir}/%{name}

install -p -m 0644 standard-library.agda-lib %{buildroot}%{_datadir}/%{name}/


%check
LANG=C.utf8 %{agda} README.agda


%files
%license LICENCE
%doc CHANGELOG.md README.md
%{_datadir}/%{name}


%files docs
%license LICENCE
%doc CHANGELOG Everything* HACKING.md README*
%doc html

%changelog
%autochangelog
